Bug 1732912 - [RFE] allow admin to provision as another user with the api
Summary: [RFE] allow admin to provision as another user with the api
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: unspecified
Hardware: All
OS: All
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Greg McCullough
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 17:02 UTC by Felix Dewaleyne
Modified: 2020-02-05 00:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-04 15:56:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Greg McCullough 2020-01-24 22:17:21 UTC
You can pass "user_name" as part of the "requester" data passed to the API.

See an example here: https://www.manageiq.org/docs/reference/latest/api/examples/provision_request

Comment 4 Felix Dewaleyne 2020-01-27 15:49:36 UTC
does this also work with service requests?

sorry to reopen, question was raised by the customer.

Comment 6 Greg McCullough 2020-02-05 00:45:30 UTC
Checking the code it does not appear that services supports the same concept.  The BZ would need to be reopen if the RFE is still needed.


Note You need to log in before you can comment on or make changes to this bug.